* PACKAGE ICORD    !" 座標名設定(GTOOL 用)
*
*"  [HIS] 96/10/08 (takepiro) admin/asetc.F より切り出し
*"        
***********************************************************************
      SUBROUTINE ACNGET              !" 座標軸名
     O       ( HCORX , HCORZ )
*
* [PARAM]
#include        "zcdim.F"            !" 格子点数, 波数
#include        "zhdim.F"            !" 文字列文字数
*
* [OUTPUT]
      CHARACTER HCORX*(NCC)     !" X 座標軸名
      CHARACTER HCORZ*(NCC)     !" Z 座標軸名
*
* [INTERNAL WORK]
      REAL      DX              !" X 軸上の格子点間隔
      REAL      DZ              !" Z 軸上の格子点間隔
      REAL      XLEN            !" 水平方向の領域の大きさ
      REAL      ZLEN            !" 鉛直方向の領域の大きさ
      CHARACTER HCORX0*(NCC)    !" 座標軸接頭子(X)
      CHARACTER HCORZ0*(NCC)    !" 座標軸接頭子(Z)
*
      DATA  HCORX0, HCORZ0 / 'GX', 'GZ' /
      SAVE  HCORX0, HCORZ0
*
      CALL ACRGET
     O       (  DX , DZ  )
*
      XLEN = NX * DX 
      ZLEN = (NZ+1) * DZ
*
      CALL ACNSTZ
     O     ( HCORX , 
     I       HCORX0 , NX  , XLEN )
*
      CALL ACNSTZ
     O     ( HCORZ , 
     I       HCORZ0 , NZ  , ZLEN )
*
      RETURN
      END
***********************************************************************
      SUBROUTINE ACNSTZ  !" 座標名設定(接頭子//格子点数//'-'//領域サイズ)
     O            ( HCORN , 
     I              HCORX , NX  , XLEN )
*
* [PARAM]
#include        "zhdim.F"            !" 文字列文字数
*
* [OUTPUT]
      CHARACTER HCORN*(NCC)     !" 座標軸名
*
* [INPUT]
      CHARACTER HCORX*(NCC)     !" 座標軸名(接頭子)
      INTEGER   NX              !" 格子点数(内部領域)
      REAL      XLEN            !" 領域の大きさ
*
* [INTERNAL WORK]
      INTEGER   IAY, INUM, INXL
*
      CHARACTER HNUM  * (NCC)
      CHARACTER HXLEN * (NCC)
*
* [EXTERNAL FUNCTION]
      INTEGER LENC
*
*"     <  1. 座標軸名接頭子 >
*
      CALL CLADJ( HCORX )
      IAY  = LENC( HCORX )
*
*"     <  2. 格子点数 >
*
      WRITE ( HNUM , '(I4)' ) NX
      CALL CLADJ ( HNUM )
      INUM = LENC( HNUM )
*
*"     <  3. 領域の大きさ >
*
*"    CALL GULCHR
      CALL ZULCHR                       !" 自動倍精度対応ルーチン
     I         ( '(1P,E7.1)', XLEN  ,
     O            HXLEN     , INXL   )
*
      HCORN  = HCORX(1:IAY)//HNUM(1:INUM)//'-'//HXLEN(1:INXL)
*
      RETURN
      END
